import { request } from "@umijs/max";


/**
 * 下载任务列表
 * @param data 
 * @param options 
 * @returns 
 */
export async function getDownloadListApi(data: TASKAPI.DownloadList, options?: { [key: string]: any }) {
    return request<API.Result>('/api/download/log/pageList', {
        method: 'POST',
        data,
        ...(options || {}),
    });
}

/**
 * 下载上报
 * @param data 
 * @param options 
 * @returns 
 */
export async function downloadEscalationApi(data: TASKAPI.DownloadEscalation, options?: { [key: string]: any }) {
    return request<API.Result>('/api/download/log/add', {
        method: 'POST',
        data,
        ...(options || {}),
    });
}