import { request } from "@umijs/max";


/**
 * 收益列表
 * @param data 
 * @param options 
 * @returns 
 */
export async function getIncomeListApi(data: TASKAPI.IncomeList, options?: { [key: string]: any }) {
    return request<API.Result>('/api/material/income/list', {
        method: 'POST',
        data,
        ...(options || {}),
    });
}