import { request } from "@umijs/max";


/**
 * 任务列表
 * @param data 
 * @param options 
 * @returns 
 */
export async function getTaskMemberListApi(data: TASKAPI.TaskMemberList, options?: { [key: string]: any }) {
    return request<API.Result>('/api/task/member/list', {
        method: 'POST',
        data,
        ...(options || {}),
    });
}

/**
 * 提交素材
 * @param data 
 * @param options 
 * @returns 
 */
export async function addMaterialApi(data: TASKAPI.AddMaterial, options?: { [key: string]: any }) {
    return request<API.Result>('/api/material/add', {
        method: 'POST',
        data,
        ...(options || {}),
    });
}